
public class Fraction
{
    private int numerator = 1;
    private int denominator = 1;
    
    /**
     * @param n ...
     * @param d ...
     */
    public Fraction(int n, int d) 
    {
        if (d == 0) {
            throw new IllegalArgumentException("denom can not be zero");
        }
        numerator = n;
        denominator = d;
    }
    
    public void setNumerator(int n) {
        numerator = n;
    }
    
    /**
     * @param d denominator, must not be 0
     * @return true on success, false ...
     * @throws IllegalArgumentException sadsad 
     */
    public void setDenominator(int denom) {
        if (denom != 0) {
            denominator = denom;
            return;
        } else {
            throw new IllegalArgumentException("denom can not be zero");
        }
    }
    
    @Override
    public String toString() {
        return numerator + "/" + denominator;
    }
}
